
TYPO3.Flow - Bug # 8913

Status: Resolved Priority: Must have
Author: Christian Kuhn Category: - Testing -
Created: 2010-07-17 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Unit test failures because sys_get_temp_dir() doesn't always return directory name with trailing slash
Description

php function sys_get_temp_dir() usually returns something like '/tmp/', but on some systems the trailing slash is missing (for me: a
debian stable box, self compiled php 5.3.2, running as cgi). This leads to failing tests, eg. in Cache\Backend\PdoBackendTest

This could be easily fixed by always adding a slash (see attached patch), but leads to double slashes if the method returns with trailing
slash.

Maybe it would be better to add / use some wrapper method to add the slash if it's missing?

Associated revisions
Revision 6d07da22 - 2010-07-28 13:00 - Andreas Förthner

[~BUGFIX] FLOW3: Various tests are now using the concatenatePaths utitlity method when building a path to the temp directory. This resolves #8913.

History
#1 - 2010-07-17 02:13 - Bastian Waidelich
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Priority changed from Should have to Must have

Thanks for your feedback! Such function already exists in Utility\Files. I'll take care of this!

#2 - 2010-07-28 12:58 - Andreas Förthner
- Assigned To changed from Bastian Waidelich to Andreas Förthner
- Target version set to 1.0 alpha 11

#3 - 2010-07-28 13:05 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4921.

Files
sys_get_temp_dir.diff 4.5 kB 2010-07-17 Christian Kuhn
